import request from "../../common/request";
import { PUBLIC_MODULES_PATH as prefix } from "../AppPath";

export default{
	list: function (param) {
		return request({
			url: prefix + '/meetingRoom/list',
			method: 'get',
			params: param
		})
	},

	queryById: function (id) {
		return request({
			url: prefix + '/meetingRoom/findById',
			method: 'get',
			params: {id: id}
		})
	},

	saveForm: function (inputForm) {
		return request({
			url: prefix + "/meetingRoom/saveForm",
			method: 'post',
			data: inputForm
		})
	},

	updateStatusById: function (params) {
		return request({
			url: prefix + '/meetingRoom/updateStatusById',
			method: 'post',
			data: params
		})
	},

	checkTime: function(startDate,meetNumber){
		return request({
			url: prefix + '/meetingRoom/checkTime',
			method: 'get',
			params: {startDate:startDate,meetNumber:meetNumber}
		})
	},

	delete: function (ids) {
		return request({
			url: prefix + '/meetingRoom/deleteById',
			method: 'get',
			params: {id: ids}
		})
	},


	exportFile: function(params) {
		return request({
			url: prefix + "/meetingRoom/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	},
}
